#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
package ${package}.infra;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 * 
 * @author SIToolkit
 */
public class JPAUtils {

	private static EntityManagerFactory emf;
	
	private static ThreadLocal<EntityManager> tlem = new ThreadLocal<EntityManager>();
	
	public static EntityManager em() {
		EntityManager em = tlem.get();
		if(em == null) {
			em = emf().createEntityManager();
			tlem.set(em);
		}
		return em;
	}
	
	public static synchronized EntityManagerFactory emf() {
		if(emf == null) {
			emf = Persistence.createEntityManagerFactory("sit-archetype-batch-pu");
		}
		return emf;
	}
	
}
